/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLAreaElement_H__
#define __GdomHTMLAreaElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLAreaElement GdomHTMLAreaElement;
typedef struct _GdomHTMLAreaElementClass GdomHTMLAreaElementClass;


#define GDOM_TYPE_HTML_AREA_ELEMENT            (gdom_html_area_element_get_type())
#define GDOM_HTML_AREA_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_AREA_ELEMENT, GdomHTMLAreaElement))
#define GDOM_HTML_AREA_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_AREA_ELEMENT, GdomHTMLAreaElement)Class)
#define GDOM_IS_HTML_AREA_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_AREA_ELEMENT))
#define GDOM_IS_HTML_AREA_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_AREA_ELEMENT))
#define GDOM_HTML_AREA_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_AREA_ELEMENT, GdomHTMLAreaElementClass))

typedef struct _GdomHTMLAreaElementPrivate GdomHTMLAreaElementPrivate;

struct _GdomHTMLAreaElement {
    GdomHTMLElement parent_instance;
    GdomHTMLAreaElementPrivate *priv;
};

struct _GdomHTMLAreaElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_area_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLAreaElement_H__ */
